| Home | Libraries | People | FAQ | More

##### params_encoded_view::parse_query

Parse a string and return an encoded params view.

###### Synopsis

Defined in header `<boost/url/params_encoded_view.hpp>`

    system::result< params_encoded_view >
    parse_query(
        core::string_view s);

###### Description

This function parses the string and returns the corresponding params object if the string is valid, otherwise returns an error.

###### BNF

###### Exception Safety

No-throw guarantee.

###### Return Value

A valid view on success, otherwise an error code.

###### Parameters

Name | Description
--- | ---
`s` | The string to parse

###### Specification

###### See Also

`params_encoded_view`.

Convenience header `<boost/url.hpp>`